<?php

namespace Drupal\gotem\Moderation;

/**
 * Interface for moderation services.
 */
interface ModerationInterface {
  
  /**
   * Moderates the given text.
   *
   * @param string $text
   *   The text to moderate.
   *
   * @return array|null
   *   The moderation result or NULL on failure.
   */
  public function moderateText(string $text): ?array;
}
